> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PH Philsys (PCN)

> Verify Philippine PhilSys records using PCN.

<CardGroup cols={1}>
  <Card title="Philsys API Help Page" href="https://docs.idmetagroup.com/resources/philsys-check-via-api">
    Verify Philippine PhilSys records using personal information.
  </Card>
</CardGroup>


## OpenAPI

````yaml api-reference/government-data/philippines/ph-philsys-check/ph-philsys-check-pcn.openapi.json POST /api/v3/verifications/philippines/philsys-check
openapi: 3.0.3
info:
  title: IDmeta API - PH Philsys (PCN)
  version: 1.0.0
servers:
  - url: https://{environment-subdomain}.idmetagroup.com
    variables:
      environment-subdomain:
        default: integrate
security:
  - bearerAuth: []
paths:
  /api/v3/verifications/philippines/philsys-check:
    post:
      tags:
        - Government Data
      summary: PH Philsys (PCN)
      description: Verify Philippine PhilSys records using PCN.
      operationId: phPhilsysPcnV3
      parameters:
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer {your_api_token}
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - pcn
                - face_liveness_session_id
                - trustFlowId
                - trustValidationId
              properties:
                pcn:
                  type: string
                  description: Philsys Card Number for verification.
                face_liveness_session_id:
                  type: string
                  description: Liveness session ID retrieved from the IDmeta Liveness SDK.
                trustFlowId:
                  type: integer
                  description: >-
                    Identifier used to categorize or group requests for tracking
                    or reporting.
                trustValidationId:
                  type: string
                  description: A unique ID used to identify your verification request.
            example:
              pcn: '{your pcn}'
              face_liveness_session_id: '{liveness session id retrieved from the IDmeta Liveness SDK}'
              trustFlowId: 0
              trustValidationId: '{your_created_trust_validation_id}'
      responses:
        '200':
          description: PH Philsys PCN verified successfully
          content:
            application/json:
              example:
                success: true
                message: PhilSys Check processed successfully
                data:
                  status: true
                  response: >-
                    {"data":{"code":"ACR0631","token":"2995395506750646662461123444122211","reference":"6103706830790849","face_url":"https://storage.sample.com/face_url.jpeg","full_name":"JUAN
                    DELA
                    CRUZ","first_name":"JUAN","middle_name":"DELA","last_name":"CRUZ","suffix":null,"gender":"Female","marital_status":"Single","blood_type":"Unknown","email":"N/A","mobile_number":"630123456789","birth_date":"1998-10-28","full_address":"PAMPANGA,
                    PHILIPPINES, 2005","address_line_1":"PUROK
                    123","address_line_2":null,"barangay":"San
                    Diego","municipality":"Lubao","province":"Pampanga","country":"Philippines","postal_code":"2005","present_full_address":"FULL
                    ADDRESS","present_address_line_1":"PUROK
                    2","present_address_line_2":null,"present_barangay":"San
                    Vicente","present_municipality":"Lubao","present_province":"Pampanga","present_country":"Philippines","present_postal_code":"2005","residency_status":"N/A","place_of_birth":"LUBAO,
                    PAMPANGA","pob_municipality":"Lubao","pob_province":"Pampanga","pob_country":"Philippines"},"meta":{"tier_level":"Tier
                    II","result_grade":1}}
                  isValid: true
                  faceUrl: >-
                    https://storage.googleapis.com/image-storage/philsys-face-9ce6c061-5b62-4241-adc6-7a91e42304d9.jpeg
                  fullName: JUAN DELA CRUZ
                  firstName: JUAN
                  middleName: DELA
                  lastName: CRUZ
                  suffix: null
                  gender: Female
                  maritalStatus: Single
                  bloodType: Unknown
                  email: N/A
                  mobileNumber: '630123456789'
                  birthDate: '1998-10-28'
                  fullAddress: PAMPANGA, PHILIPPINES, 2005
                  addressLine1: PUROK 123
                  addressLine2: null
                  barangay: San Diego
                  municipality: Lubao
                  province: Pampanga
                  country: Philippines
                  postalCode: '2005'
                  presentFullAddress: FULL ADDRESS
                  presentAddressLine1: PUROK 2
                  presentAddressLine2: null
                  presentBarangay: San Vicente
                  presentMunicipality: Lubao
                  presentProvince: Pampanga
                  presentCountry: Philippines
                  presentPostalCode: '2005'
                  residencyStatus: N/A
                  placeOfBirth: LUBAO, PAMPANGA
                  pobMunicipality: Lubao
                  pobProvince: Pampanga
                  pobCountry: Philippines
                verificationStatus: VERIFIED
                verificationStatusCode: 3
                trustFlowId: 0
                trustValidationId: 9af6e3d7-09c8-489e-806e-d1e67a45a3e3
                verificationType: scan_qr
                metadata: null
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use `Bearer {your_api_token}` in the Authorization header.

````